Bug 135217 - IPv6 support in wget should be enabled
Summary: IPv6 support in wget should be enabled
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL: http://www.talkroot.com/archivee/inde...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-10 20:06 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 08:59:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-10-10 20:06:36 UTC
Description of problem:
wget has IPv6 support, but it isn't enabled currently, so downloading 
from IPv6 hosts fails.

Version-Release number of selected component (if applicable):
wget-1.9.1-17

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. host -t AAAA ipv6.host.tld
   -> ipv6.host.tld has AAAA address ::1
1. wget http://ipv6.host.tld
   -> --22:04:51--  http://ipv6.host.tld/
   ->           => `index.html'
   -> Resolving ipv6.host.tld... failed: Host not found.
  
Actual results:
IPv6 support in wget isn't enabled; the following is working for me:

--- snipp ---
--- wget.spec       2004-09-29 16:56:39.000000000 +0200
+++ wget.spec.rsc   2004-10-10 22:06:58.000000000 +0200
@@ -45,7 +45,7 @@
        CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
        LDFLAGS=`pkg-config --libs openssl`; export LDFLAGS
 fi
-%configure --with-ssl --enable-LFS
+%configure --with-ssl --enable-LFS --enable-ipv6
 make

 %install
--- snapp ---

Expected results:
IPv6 support in wget should be enabled.

Comment 1 Karsten Hopp 2004-10-11 08:59:19 UTC
Wget's current IPV6 support breaks downloads on hosts without IPV6 
interfaces. Try to disable IPV6 on your machine p.e. if you have  
alias net-pf-10 off 
install ipv6 /bin/true 
in your modprobe.conf file and reboot (or get rid of the already 
loaded  ipv6 module by any other means).  
I'm waiting for the upstream maintainers to fix this. 

Comment 2 Robert Scheck 2004-10-11 20:23:13 UTC
Oh sorry, I didn't recognize this (I'm already living in a only IPv4+6 
world), you're totally right.


Note You need to log in before you can comment on or make changes to this bug.